curl --request POST \
--url https://baze-api.powerbuyin.top/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "qwen-image-2.0-pro",
"response_format": "url",
"input": {
"messages": [
{
"role": "user",
"content": [
{
"text": "A cute orange cat sitting on a windowsill, sunlight shining on it, realistic style"
}
]
}
]
},
"size": "2048*2048",
"n": 1,
"watermark": false
}
'{
"created": 123,
"data": [
{
"url": "<string>",
"b64_json": "<string>",
"revised_prompt": "<string>"
}
],
"metadata": {}
}Call Ali qwen-image-2.0-pro for text-to-image generation.
The public contract keeps top-level model, input, and response_format, while exposing n, size, negative_prompt, prompt_extend, watermark, and seed as top-level fields. The prompt is provided in input.messages[0].content[0].text. Top-level parameters is not accepted.
curl --request POST \
--url https://baze-api.powerbuyin.top/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "qwen-image-2.0-pro",
"response_format": "url",
"input": {
"messages": [
{
"role": "user",
"content": [
{
"text": "A cute orange cat sitting on a windowsill, sunlight shining on it, realistic style"
}
]
}
]
},
"size": "2048*2048",
"n": 1,
"watermark": false
}
'{
"created": 123,
"data": [
{
"url": "<string>",
"b64_json": "<string>",
"revised_prompt": "<string>"
}
],
"metadata": {}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Text-to-image model name.
qwen-image-2.0-pro Show child attributes
Unified response format.
url, b64_json Number of output images. The gateway maps it to upstream parameters.n.
1 <= x <= 6Output image resolution in widthxheight or width*height format. The gateway normalizes it and maps it to upstream parameters.size.
Negative prompt. The gateway maps it to upstream parameters.negative_prompt.
Whether to enable prompt rewriting. The gateway maps it to upstream parameters.prompt_extend.
Whether to add watermark. Explicit false is preserved and mapped to upstream parameters.watermark.
Random seed. Explicit 0 is preserved and mapped to upstream parameters.seed.